跳转到主要内容
GET
/
base
/
{baseId}
/
node
/
tree
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "nodes": [
    {
      "id": "<string>",
      "parentId": "<string>",
      "resourceId": "<string>",
      "order": 123,
      "resourceType": "table",
      "resourceMeta": {
        "name": "<string>",
        "icon": "<string>",
        "defaultViewId": "<string>"
      },
      "defaultUrl": "<string>",
      "parent": {
        "id": "<string>"
      },
      "children": [
        {
          "id": "<string>",
          "order": 123
        }
      ]
    }
  ],
  "maxFolderDepth": 123
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填

响应

200 - application/json

Nodes

nodes
object[]
必填
maxFolderDepth
number
必填
Last modified on March 5, 2026